Runtime

## org.eclipse.gmf.runtime.common.core.util
Class StringStatics

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.StringStatics

public class StringStatics
extends java.lang.Object

This class contains string statics that are not to be translated.

Field Summary
`static java.lang.String` `AMPERSAND` The apostrophe '
`static java.lang.String` `APOSTROPHE` The apostrophe '
`static java.lang.String` `BACKWARD_SLASH` The backward slash /
`static java.lang.String` `BLANK` The empty string
`static java.lang.String` `CLOSE_PARENTHESIS` Close Parenthesis
`static java.lang.String` `COLON` The colon :
`static java.lang.String` `COMMA` The comma *
`static java.lang.String` `DOUBLE_COLON` The double colon ::
`static java.lang.String` `ELLIPSIS` The ellipsis ...
`static java.lang.String` `EQUALS` The equals =
`static java.lang.String` `FILE_SEPARATOR` The separator defined by File.separator
`static java.lang.String` `FORWARD_SLASH` The forward slash /
`static java.lang.String` `GREATER_THAN` The greater than symbol >
`static java.lang.String` `HYPHEN` The hyphen *
`static java.lang.String` `OPEN_PARENTHESIS` Open Parenthesis
`static java.lang.String` `PATH_SEPARATOR` The separator defined by IPath.SEPARATOR
`static java.lang.String` `PERIOD` The period .
`static java.lang.String` `PLATFORM_NEWLINE` The newline for a particular platform
`static java.lang.String` `PLUGIN_VERSION_SEPARATOR` The version separator in a plugin name for release _
`static java.lang.String` `SPACE` The space
`static java.lang.String` `UNDER_SCORE` The Underscore *
`static java.lang.String` `UNIX_NEWLINE` The newline for the Unix platform
`static java.lang.String` `WINDOWS_NEWLINE` The newline for the Windows platform

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLANK

    public static final java.lang.String BLANK

  The empty string

  See Also:
    Constant Field Values

### PERIOD

    public static final java.lang.String PERIOD

  The period .

  See Also:
    Constant Field Values

### FORWARD_SLASH

    public static final java.lang.String FORWARD_SLASH

  The forward slash /

  See Also:
    Constant Field Values

### BACKWARD_SLASH

    public static final java.lang.String BACKWARD_SLASH

  The backward slash /

  See Also:
    Constant Field Values

### ELLIPSIS

    public static final java.lang.String ELLIPSIS

  The ellipsis ...

  See Also:
    Constant Field Values

### SPACE

    public static final java.lang.String SPACE

  The space

  See Also:
    Constant Field Values

### COLON

    public static final java.lang.String COLON

  The colon :

  See Also:
    Constant Field Values

### DOUBLE_COLON

    public static final java.lang.String DOUBLE_COLON

  The double colon ::

  See Also:
    Constant Field Values

### PLATFORM_NEWLINE

    public static final java.lang.String PLATFORM_NEWLINE

  The newline for a particular platform

### WINDOWS_NEWLINE

    public static final java.lang.String WINDOWS_NEWLINE

  The newline for the Windows platform

  See Also:
    Constant Field Values

### UNIX_NEWLINE

    public static final java.lang.String UNIX_NEWLINE

  The newline for the Unix platform

  See Also:
    Constant Field Values

### FILE_SEPARATOR

    public static final java.lang.String FILE_SEPARATOR

  The separator defined by File.separator

### PATH_SEPARATOR

    public static final java.lang.String PATH_SEPARATOR

  The separator defined by IPath.SEPARATOR

### APOSTROPHE

    public static final java.lang.String APOSTROPHE

  The apostrophe '

  See Also:
    Constant Field Values

### AMPERSAND

    public static final java.lang.String AMPERSAND

  The apostrophe '

  See Also:
    Constant Field Values

### GREATER_THAN

    public static final java.lang.String GREATER_THAN

  The greater than symbol >

  See Also:
    Constant Field Values

### EQUALS

    public static final java.lang.String EQUALS

  The equals =

  See Also:
    Constant Field Values

### PLUGIN_VERSION_SEPARATOR

    public static final java.lang.String PLUGIN_VERSION_SEPARATOR

  The version separator in a plugin name for release _

  See Also:
    Constant Field Values

### UNDER_SCORE

    public static final java.lang.String UNDER_SCORE

  The Underscore *

  See Also:
    Constant Field Values

### HYPHEN

    public static final java.lang.String HYPHEN

  The hyphen *

  See Also:
    Constant Field Values

### COMMA

    public static final java.lang.String COMMA

  The comma *

  See Also:
    Constant Field Values

### OPEN_PARENTHESIS

    public static final java.lang.String OPEN_PARENTHESIS

  Open Parenthesis

  See Also:
    Constant Field Values

### CLOSE_PARENTHESIS

    public static final java.lang.String CLOSE_PARENTHESIS

  Close Parenthesis

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.